#include "device.h"
#include "game.h"

uint32_t game_frame;

void game_init() {
    game_frame = 0;
}

void game_update() {
    game_frame += 1;
}

void game_draw() {
    for (int x = 0; x < DEVICE_W; x++) {
        for (int y = 0; y < DEVICE_H; y++) {
            uint32_t r = (x * 255)/DEVICE_W;
            uint32_t g = (y * 255)/DEVICE_H;
            uint32_t b = game_frame & 0x100 ? 0xff - game_frame & 0xff : game_frame & 0xff;
            if (x % 4 == 2 && y % 4 == 2) {
                r = 255 - r;
                g = 255 - g;
                b = 255 - b;
            }
            uint32_t color = r << 24 | g << 16 | b << 8;
            device_pixels[y][x] = color;
        }
    }
}
